Package: org.gmetrics.formatter

## [Groovy] Class FormatterFactory

- org.gmetrics.formatter.FormatterFactory

- Factory for Formatter objects

  Authors:
    Chris Mair

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Formatter` | `getFormatter(String formatterSpecification)` Create and return a Formatter instance based on a specification String, which is the class name.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### Formatter getFormatter(String formatterSpecification)

      Create and return a Formatter instance based on a specification String, which is the class name.

      Parameters:
        `formatterSpecification` - - the specification of the Formatter. It is of the form: "fully-qualified-class-name" e.g., "org.gmetrics.formatter.PercentageFormatter"
      Returns:
        a Formatter instance